%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: DBI driver for PostgreSQL database.
Name: perl-dbd-pg
Version: 1.49
Release: 7tr
License: Artistic/GPL v1
Group: Trustix Official
Source0: http://www.cpan.org/modules/by-module/DBD/DBD-Pg-%{version}.tar.gz
Patch0: dbd-pg-memoryleak.patch
Patch1: dbd-pg-bytequote.patch
BuildRequires: perl >= %{perlver}
BuildRequires: postgresql-devel openssl-devel
BuildRequires: gdbm-devel perl-dbi
Requires: postgresql-libs perl-dbi
BuildRoot: /var/tmp/%{name}-%{version}-root

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
DBD-Pg is a PostgreSQL interface for Perl5 using DBI.

%prep
%setup -q -n DBD-Pg-%{version}
%patch0 -p1
%patch1 -p2

%build
export POSTGRES_LIB="/usr/lib/postgresql/ -lssl"
perl Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -r $RPM_BUILD_ROOT%{_libdir}/perl5/5.8.7
(
  cd $RPM_BUILD_ROOT%{siteperl}/i586-linux-thread-multi/auto/DBD/Pg
  mv .packlist _packlist
  sed -e "s,$RPM_BUILD_ROOT,," _packlist > .packlist
  rm _packlist
)

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc Changes README
%{siteperl}/i586-linux-thread-multi/DBD/Pg.pm
%dir %{siteperl}/i586-linux-thread-multi/auto/DBD
%{siteperl}/i586-linux-thread-multi/auto/DBD/Pg
%{_mandir}/man3/DBD::Pg*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue Feb 06 2007 Bipin S <bipin at trustix dot org> 1.49-6tr
- Rebuild with postgresql 8.2.2.

* Thu Jan 04 2007 Nived Gopalan <nived at trustix dot org> 1.49-5tr
- Fixed memory leak in pg_notifies, Bug #2024.

* Mon Oct 30 2006 Bipin S <bipin at trustix dot org> 1.49-4tr
- Fixed memory leak, Bug #2024.

* Wed Jul 26 2006 Nived Gopalan <nived at trustix dot org> 1.49-3tr
- Moved to official repos.

* Sun May 14 2006 Morten Nilsen <morten@nilsen.com>
- Fix packlist

* Sat May 13 2006 Morten Nilsen <morten@nilsen.com>
- so, this was removed from TSL 3.0 .. contrib build

* Fri Apr 07 2006 Nived Gopalan <nived at trustix dot org> 1.48-1tr
- Initial build for TSL 2.2
